
.navbar-dropshadow{
    -webkit-box-shadow: 0px 0px 4px 0px rgba(0,0,0,0.25) !important;
    -moz-box-shadow: 0px 0px 4px 0px rgba(0,0,0,0.25) !important;
    box-shadow: 0px 0px 4px 0px rgba(0,0,0,0.25) !important;
}

.user-panel-dropshadow{
    -webkit-box-shadow: 0px 3px 4px 1px rgba(0,0,0,0.25) !important;
    -moz-box-shadow: 0px 3px 4px 1px rgba(0,0,0,0.25) !important;
    box-shadow: 0px 3px 4px 1px rgba(0,0,0,0.25) !important;
}

/*.topbar-dropshadow{*/
/*    -webkit-box-shadow: 2px 0px 4px rgba(0,0,0,0.25) !important;*/
/*    -moz-box-shadow: 2px 0px 4px rgba(0,0,0,0.25) !important;*/
/*    box-shadow: 2px 0px 4px rgba(0,0,0,0.25) !important;*/
/*}*/

.references-menu-dropshadow{
    -webkit-box-shadow: 2px 0px 4px rgba(0,0,0,0.25) !important;
    -moz-box-shadow: 2px 0px 4px rgba(0,0,0,0.25) !important;
    box-shadow: 2px 0px 4px rgba(0,0,0,0.25) !important;
}

.background-color-transitioned{
    -webkit-transition: background-color 0.3s ease;
    -moz-transition: background-color 0.3s ease;
    -o-transition: background-color 0.3s ease;
    transition: background-color 0.3s ease;
}

.animate-all-transitions{
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

/**
 * ----------------------------------------
 * animation slide-in-right
 * ----------------------------------------
 */
.slide-in-right-starter{
    -webkit-transform: translateX(300px);
    transform: translateX(300px);
    opacity: 0;
}

.slide-in-right {
    -webkit-animation: slide-in-right 0.3s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: slide-in-right 0.3s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

@-webkit-keyframes slide-in-right {
    0% {
        -webkit-transform: translateX(300px);
        transform: translateX(300px);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }
}
@keyframes slide-in-right {
    0% {
        -webkit-transform: translateX(300px);
        transform: translateX(300px);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }
}

/**
 * ----------------------------------------
 * animation slide-out-right
 * ----------------------------------------
 */
.slide-out-right {
    -webkit-animation: slide-out-right 0.3s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: slide-out-right 0.3s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

@-webkit-keyframes slide-out-right {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }
    100% {
        -webkit-transform: translateX(300px);
        transform: translateX(300px);
        opacity: 0;
    }

}
@keyframes slide-out-right {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }
    100% {
        -webkit-transform: translateX(300px);
        transform: translateX(300px);
        opacity: 0;
    }
}

/**
 * ----------------------------------------
 * animation scale-in-vert-bottom
 * ----------------------------------------
 */
.scale-in-ver-bottom-starter {
    -webkit-transform: scaleY(0);
    transform: scaleY(0);
    -webkit-transform-origin: 0% 100%;
    transform-origin: 0% 100%;
    opacity: 1;
}

.scale-in-ver-bottom {
    -webkit-animation: scale-in-ver-bottom 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: scale-in-ver-bottom 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

@-webkit-keyframes scale-in-ver-bottom {
    0% {
        -webkit-transform: scaleY(0);
        transform: scaleY(0);
        -webkit-transform-origin: 0% 100%;
        transform-origin: 0% 100%;
        opacity: 1;
    }
    100% {
        -webkit-transform: scaleY(1);
        transform: scaleY(1);
        -webkit-transform-origin: 0% 100%;
        transform-origin: 0% 100%;
        opacity: 1;
    }
}
@keyframes scale-in-ver-bottom {
    0% {
        -webkit-transform: scaleY(0);
        transform: scaleY(0);
        -webkit-transform-origin: 0% 100%;
        transform-origin: 0% 100%;
        opacity: 1;
    }
    100% {
        -webkit-transform: scaleY(1);
        transform: scaleY(1);
        -webkit-transform-origin: 0% 100%;
        transform-origin: 0% 100%;
        opacity: 1;
    }
}

/**
 * ----------------------------------------
 * animation scale-out-ver-bottom
 * ----------------------------------------
 */

.scale-out-ver-bottom {
    -webkit-animation: scale-out-ver-bottom 0.4s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
    animation: scale-out-ver-bottom 0.4s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
}

@-webkit-keyframes scale-out-ver-bottom {
    0% {
        -webkit-transform: scaleY(1);
        transform: scaleY(1);
        -webkit-transform-origin: 0% 100%;
        transform-origin: 0% 100%;
        opacity: 1;
    }
    100% {
        -webkit-transform: scaleY(0);
        transform: scaleY(0);
        -webkit-transform-origin: 0% 100%;
        transform-origin: 0% 100%;
        opacity: 1;
    }
}
@keyframes scale-out-ver-bottom {
    0% {
        -webkit-transform: scaleY(1);
        transform: scaleY(1);
        -webkit-transform-origin: 0% 100%;
        transform-origin: 0% 100%;
        opacity: 1;
    }
    100% {
        -webkit-transform: scaleY(0);
        transform: scaleY(0);
        -webkit-transform-origin: 0% 100%;
        transform-origin: 0% 100%;
        opacity: 1;
    }
}

/**
 * ----------------------------------------
 * animation flip-out-ver-left
 * ----------------------------------------
 */
.flip-out-ver-left {
    -webkit-animation: flip-out-ver-left 0.45s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
    animation: flip-out-ver-left 0.45s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
}

.flip-out-ver-left-starter {
    -webkit-transform: rotateY(0);
    transform: rotateY(0);
    opacity: 1;
}

@-webkit-keyframes flip-out-ver-left {
    0% {
        -webkit-transform: rotateY(0);
        transform: rotateY(0);
        opacity: 1;
    }
    100% {
        -webkit-transform: rotateY(-70deg);
        transform: rotateY(-70deg);
        opacity: 0;
    }
}
@keyframes flip-out-ver-left {
    0% {
        -webkit-transform: rotateY(0);
        transform: rotateY(0);
        opacity: 1;
    }
    100% {
        -webkit-transform: rotateY(-70deg);
        transform: rotateY(-70deg);
        opacity: 0;
    }
}

/**
 * ----------------------------------------
 * animation puff-out-center
 * ----------------------------------------
 */

.puff-out-center {
    -webkit-animation: puff-out-center 0.7s cubic-bezier(0.230, 1.000, 0.320, 1.000) both;
    animation: puff-out-center 0.7s cubic-bezier(0.230, 1.000, 0.320, 1.000) both;
}

@-webkit-keyframes puff-out-center {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        -webkit-filter: blur(0px);
        filter: blur(0px);
        opacity: 1;
    }
    100% {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
        -webkit-filter: blur(10px);
        filter: blur(10px);
        opacity: 0;
    }
}
@keyframes puff-out-center {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        -webkit-filter: blur(0px);
        filter: blur(0px);
        opacity: 1;
    }
    100% {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
        -webkit-filter: blur(10px);
        filter: blur(10px);
        opacity: 0;
    }
}

/**
 * ----------------------------------------
 * animation slide-out-left
 * ----------------------------------------
 */
.slide-out-left {
    -webkit-animation: slide-out-left 0.3s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
    animation: slide-out-left 0.3s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
}

@-webkit-keyframes slide-out-left {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }
    100% {
        -webkit-transform: translateX(-1000px);
        transform: translateX(-1000px);
        opacity: 0;
    }
}
@keyframes slide-out-left {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }
    100% {
        -webkit-transform: translateX(-1000px);
        transform: translateX(-1000px);
        opacity: 0;
    }
}

/**
 * ----------------------------------------
 * animation slide-in-left
 * ----------------------------------------
 */
.slide-in-left-starter {
    -webkit-transform: translateX(-1000px);
    transform: translateX(-1000px);
    opacity: 0;
}
.slide-in-left {
    -webkit-animation: slide-in-left 0.3s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: slide-in-left 0.3s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

@-webkit-keyframes slide-in-left {
    0% {
        -webkit-transform: translateX(-1000px);
        transform: translateX(-1000px);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }
}
@keyframes slide-in-left {
    0% {
        -webkit-transform: translateX(-1000px);
        transform: translateX(-1000px);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }
}

/**
 * ----------------------------------------
 * animation scale-out-ver-top
 * ----------------------------------------
 */
.scale-out-ver-top {
    -webkit-animation: scale-out-ver-top 0.3s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
    animation: scale-out-ver-top 0.3s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
}

@-webkit-keyframes scale-out-ver-top {
    0% {
        -webkit-transform: scaleY(1);
        transform: scaleY(1);
        -webkit-transform-origin: 100% 0%;
        transform-origin: 100% 0%;
        opacity: 1;
    }
    100% {
        -webkit-transform: scaleY(0);
        transform: scaleY(0);
        -webkit-transform-origin: 100% 0%;
        transform-origin: 100% 0%;
        opacity: 1;
    }
}
@keyframes scale-out-ver-top {
    0% {
        -webkit-transform: scaleY(1);
        transform: scaleY(1);
        -webkit-transform-origin: 100% 0%;
        transform-origin: 100% 0%;
        opacity: 1;
    }
    100% {
        -webkit-transform: scaleY(0);
        transform: scaleY(0);
        -webkit-transform-origin: 100% 0%;
        transform-origin: 100% 0%;
        opacity: 1;
    }
}
